###############################################################################
#
# nagios.cfg - Main Configuration File for op5 Monitor
#
###############################################################################
#
#   NOTE:
#     Most variables here can not be configured from op5 Monitor Configure
#     interface. So if you need to do some changes to the main configuration
#     this is the right place.
#
###############################################################################

broker_module=/usr/lib64/naemon-livestatus/livestatus.so @@TESTDIR@@/var/rw/live pnp_path=/opt/monitor/op5/pnp/perfdata
broker_module=/usr/lib64/merlin/merlin.so /opt/monitor/op5/merlin/merlin.conf
broker_module=/usr/lib64/command/command.so

precached_object_file=@@TESTDIR@@/var/objects.precache
check_result_path=@@TESTDIR@@/var/

log_file=@@LOGDIR@@/nagios.log

cfg_file=timeperiods.cfg
cfg_file=contacts.cfg
cfg_file=hosts.cfg
cfg_file=services.cfg
cfg_file=checkcommands.cfg
cfg_file=misccommands.cfg
cfg_file=eventhandlers.cfg
cfg_file=contactgroups.cfg
cfg_file=hostgroups.cfg
cfg_file=servicegroups.cfg
cfg_file=hostextinfo.cfg
cfg_file=serviceextinfo.cfg
cfg_file=hostescalations.cfg
cfg_file=serviceescalations.cfg
cfg_file=hostdependencies.cfg
cfg_file=servicedependencies.cfg
cfg_file=objects.cfg

# cfg_dir is currently not supported by op5 Monitor Configure tool

object_cache_file=@@TESTDIR@@/var/objects.cache

resource_file=/opt/monitor/etc/resource.cfg

temp_file=@@TESTDIR@@/var/nagios.tmp

status_file=/dev/null
status_update_interval=900

nagios_user=monitor
nagios_group=apache

enable_notifications=1
execute_service_checks=0
accept_passive_service_checks=1
execute_host_checks=0
accept_passive_host_checks=1
enable_event_handlers=1

# LOG ROTATION METHOD
#   n   = None - don't rotate the log
#   h   = Hourly rotation (top of the hour)
#   d   = Daily rotation (midnight every day)
#   w   = Weekly rotation (midnight on Saturday evening)
#   m   = Monthly rotation (midnight last day of month)
log_rotation_method=m

log_archive_path=/opt/monitor/var/archives

check_external_commands=1

command_file=@@TESTDIR@@/var/rw/nagios.cmd
query_socket=@@TESTDIR@@/var/rw/nagios.qh



lock_file=@@TESTDIR@@/var/nagios.lock

retain_state_information=0
state_retention_file=/dev/null

retention_update_interval=900
use_retained_program_state=0
use_retained_scheduling_info=0

# EVENT BROKER OPTIONS
event_broker_options=-1
#broker_module=

use_syslog=0
log_notifications=1
log_service_retries=1
log_host_retries=1
log_event_handlers=1
log_initial_states=@@VERBOSE@@
log_external_commands=1
log_passive_checks=1

#global_host_event_handler=
#global_service_event_handler=

service_inter_check_delay_method=s
max_service_check_spread=30
service_interleave_factor=s
max_concurrent_checks=0
#check_result_reaper_frequency=
host_inter_check_delay_method=s
max_host_check_spread=30

interval_length=60

# turned off since this is an Experimental feature according to the Nagios
# documentation
auto_reschedule_checks=0
auto_rescheduling_interval=30
auto_rescheduling_window=180

use_agressive_host_checking=0

enable_flap_detection=1
low_service_flap_threshold=5.0
high_service_flap_threshold=20.0
low_host_flap_threshold=5.0
high_host_flap_threshold=20.0

#soft_state_dependencies=<1/0>

service_check_timeout=60
host_check_timeout=30
event_handler_timeout=30
notification_timeout=30
ocsp_timeout=5
#ochp_timeout=5
perfdata_timeout=5

obsess_over_services=0
#ocsp_command=

#obsess_over_host=0
#ochp_command=

process_performance_data=1
service_perfdata_file=@@TESTDIR@@/var/perfdata.log
service_perfdata_file_template=$LASTSERVICECHECK$||$HOSTNAME$||$SERVICEDESC$||$SERVICEOUTPUT$||$SERVICEPERFDATA$
service_perfdata_file_mode=a
service_perfdata_file_processing_interval=30
service_perfdata_file_processing_command=process-service-perfdata

check_for_orphaned_services=1
check_service_freshness=1
service_freshness_check_interval=60
check_host_freshness=0
host_freshness_check_interval=60


# DATE FORMAT OPTION
#	us		(MM-DD-YYYY HH:MM:SS)
#	euro    	(DD-MM-YYYY HH:MM:SS)
#	iso8601		(YYYY-MM-DD HH:MM:SS)
#	strict-iso8601	(YYYY-MM-DDTHH:MM:SS)
#

date_format=iso8601


# ILLEGAL OBJECT NAME CHARACTERS
# This options allows you to specify illegal characters that cannot
# be used in host names, service descriptions, or names of other
# object types.

illegal_object_name_chars=`~!$%^&*|'"<>?,()=

illegal_macro_output_chars=`~$&|'"<>

use_regexp_matching=0
use_true_regexp_matching=0


admin_email=support@op5.com
admin_pager=support@op5.com

daemon_dumps_core=1

## PNP config start ##
service_perfdata_file=/opt/monitor/var/service-perfdata
service_perfdata_file_template=DATATYPE::SERVICEPERFDATA\tTIMET::$TIMET$\tHOSTNAME::$HOSTNAME$\tSERVICEDESC::$SERVICEDESC$\tSERVICEPERFDATA::$SERVICEPERFDATA$\tSERVICECHECKCOMMAND::$SERVICECHECKCOMMAND$\tHOSTSTATE::$HOSTSTATE$\tHOSTSTATETYPE::$HOSTSTATETYPE$\tSERVICESTATE::$SERVICESTATE$\tSERVICESTATETYPE::$SERVICESTATETYPE$
service_perfdata_file_mode=a
service_perfdata_file_processing_interval=15
service_perfdata_file_processing_command=process-service-perfdata

host_perfdata_file=/opt/monitor/var/host-perfdata
host_perfdata_file_template=DATATYPE::HOSTPERFDATA\tTIMET::$TIMET$\tHOSTNAME::$HOSTNAME$\tHOSTPERFDATA::$HOSTPERFDATA$\tHOSTCHECKCOMMAND::$HOSTCHECKCOMMAND$\tHOSTSTATE::$HOSTSTATE$\tHOSTSTATETYPE::$HOSTSTATETYPE$
host_perfdata_file_mode=a
host_perfdata_file_processing_interval=15
host_perfdata_file_processing_command=process-host-perfdata
## PNP config end ##
